<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for DocumentosStkERP StructType
 * Meta informations extracted from the WSDL
 * - nillable: true
 * - type: tns:DocumentosStkERP
 * @subpackage Structs
 */
class DocumentosStkERP extends AbstractStructBase
{
    /**
     * The ActPCM
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var bool
     */
    public $ActPCM;
    /**
     * The ActPCU
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var bool
     */
    public $ActPCU;
    /**
     * The ActUltEntrada
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var bool
     */
    public $ActUltEntrada;
    /**
     * The ActUltSaida
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var bool
     */
    public $ActUltSaida;
    /**
     * The ActualizaUltimaContagem
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var bool
     */
    public $ActualizaUltimaContagem;
    /**
     * The AnaliticaCBL
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var bool
     */
    public $AnaliticaCBL;
    /**
     * The BalAnalitica
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var bool
     */
    public $BalAnalitica;
    /**
     * The BalAnaliticaALT
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $BalAnaliticaALT;
    /**
     * The BalFinanceira
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var bool
     */
    public $BalFinanceira;
    /**
     * The BalFinanceiraALT
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $BalFinanceiraALT;
    /**
     * The BalOrcamental
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var bool
     */
    public $BalOrcamental;
    /**
     * The BalOrcamentalALT
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $BalOrcamentalALT;
    /**
     * The BensCirculacao
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $BensCirculacao;
    /**
     * The CentrosCustoCBL
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var bool
     */
    public $CentrosCustoCBL;
    /**
     * The ClasseAnaliticaEntrada
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var int
     */
    public $ClasseAnaliticaEntrada;
    /**
     * The ClasseAnaliticaSaida
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var int
     */
    public $ClasseAnaliticaSaida;
    /**
     * The ClassesIvaCBL
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var bool
     */
    public $ClassesIvaCBL;
    /**
     * The ContaCreditada
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $ContaCreditada;
    /**
     * The ContaDebitada
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $ContaDebitada;
    /**
     * The ControlaCustosPorObra
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var bool
     */
    public $ControlaCustosPorObra;
    /**
     * The ControlaQtdSatisfeita
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var bool
     */
    public $ControlaQtdSatisfeita;
    /**
     * The DataUltimaActualizacao
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $DataUltimaActualizacao;
    /**
     * The Descricao
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Descricao;
    /**
     * The Diario
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Diario;
    /**
     * The Documento
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Documento;
    /**
     * The EMailBCC
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $EMailBCC;
    /**
     * The EMailCC
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $EMailCC;
    /**
     * The EMailConfirmar
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var bool
     */
    public $EMailConfirmar;
    /**
     * The EMailTexto
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $EMailTexto;
    /**
     * The EMailVisualizar
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var bool
     */
    public $EMailVisualizar;
    /**
     * The EconomicaCBL
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $EconomicaCBL;
    /**
     * The EmailFixo
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var bool
     */
    public $EmailFixo;
    /**
     * The EmailTo
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $EmailTo;
    /**
     * The EnviaEmail
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var bool
     */
    public $EnviaEmail;
    /**
     * The EstadoProcesso
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $EstadoProcesso;
    /**
     * The EstadoTransitar
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $EstadoTransitar;
    /**
     * The Fluxo
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Fluxo;
    /**
     * The FuncionalCBL
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $FuncionalCBL;
    /**
     * The FuncoesCBL
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var bool
     */
    public $FuncoesCBL;
    /**
     * The IgnoraBloqueioArm
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var bool
     */
    public $IgnoraBloqueioArm;
    /**
     * The Interno
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var bool
     */
    public $Interno;
    /**
     * The LigaContab
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var bool
     */
    public $LigaContab;
    /**
     * The LigaProcessos
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var bool
     */
    public $LigaProcessos;
    /**
     * The LigacaoCBLOnLine
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var bool
     */
    public $LigacaoCBLOnLine;
    /**
     * The MovimentaEstados
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var bool
     */
    public $MovimentaEstados;
    /**
     * The OperacaoControlaQtdSatisfeita
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var int
     */
    public $OperacaoControlaQtdSatisfeita;
    /**
     * The OrganicaCBL
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $OrganicaCBL;
    /**
     * The PermiteAltAposExp
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $PermiteAltAposExp;
    /**
     * The PrecoUnitario
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var int
     */
    public $PrecoUnitario;
    /**
     * The Protegida
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $Protegida;
    /**
     * The RecalculaPrecoUnitario
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $RecalculaPrecoUnitario;
    /**
     * The Recapitulativos
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var bool
     */
    public $Recapitulativos;
    /**
     * The SerieDevolucao
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $SerieDevolucao;
    /**
     * The SerieQuebra
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $SerieQuebra;
    /**
     * The SugereCodProcesso
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var bool
     */
    public $SugereCodProcesso;
    /**
     * The SugestaoEstat
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var bool
     */
    public $SugestaoEstat;
    /**
     * The TipoDocCompra
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $TipoDocCompra;
    /**
     * The TipoDocDevolucao
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $TipoDocDevolucao;
    /**
     * The TipoDocQuebra
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $TipoDocQuebra;
    /**
     * The TipoDocVenda
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $TipoDocVenda;
    /**
     * The TipoDocumento
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $TipoDocumento;
    /**
     * The TipoPrecoBensCirculacao
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $TipoPrecoBensCirculacao;
    /**
     * The TransitaEstado
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var bool
     */
    public $TransitaEstado;
    /**
     * The UtilizadoGPR
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $UtilizadoGPR;
    /**
     * The VersaoUltAct
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var string
     */
    public $VersaoUltAct;
    /**
     * The VisivelParaMovimentacao
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $VisivelParaMovimentacao;
    /**
     * The VisualizarLigacaoCBL
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var bool
     */
    public $VisualizarLigacaoCBL;
    /**
     * Constructor method for DocumentosStkERP
     * @uses DocumentosStkERP::setActPCM()
     * @uses DocumentosStkERP::setActPCU()
     * @uses DocumentosStkERP::setActUltEntrada()
     * @uses DocumentosStkERP::setActUltSaida()
     * @uses DocumentosStkERP::setActualizaUltimaContagem()
     * @uses DocumentosStkERP::setAnaliticaCBL()
     * @uses DocumentosStkERP::setBalAnalitica()
     * @uses DocumentosStkERP::setBalAnaliticaALT()
     * @uses DocumentosStkERP::setBalFinanceira()
     * @uses DocumentosStkERP::setBalFinanceiraALT()
     * @uses DocumentosStkERP::setBalOrcamental()
     * @uses DocumentosStkERP::setBalOrcamentalALT()
     * @uses DocumentosStkERP::setBensCirculacao()
     * @uses DocumentosStkERP::setCentrosCustoCBL()
     * @uses DocumentosStkERP::setClasseAnaliticaEntrada()
     * @uses DocumentosStkERP::setClasseAnaliticaSaida()
     * @uses DocumentosStkERP::setClassesIvaCBL()
     * @uses DocumentosStkERP::setContaCreditada()
     * @uses DocumentosStkERP::setContaDebitada()
     * @uses DocumentosStkERP::setControlaCustosPorObra()
     * @uses DocumentosStkERP::setControlaQtdSatisfeita()
     * @uses DocumentosStkERP::setDataUltimaActualizacao()
     * @uses DocumentosStkERP::setDescricao()
     * @uses DocumentosStkERP::setDiario()
     * @uses DocumentosStkERP::setDocumento()
     * @uses DocumentosStkERP::setEMailBCC()
     * @uses DocumentosStkERP::setEMailCC()
     * @uses DocumentosStkERP::setEMailConfirmar()
     * @uses DocumentosStkERP::setEMailTexto()
     * @uses DocumentosStkERP::setEMailVisualizar()
     * @uses DocumentosStkERP::setEconomicaCBL()
     * @uses DocumentosStkERP::setEmailFixo()
     * @uses DocumentosStkERP::setEmailTo()
     * @uses DocumentosStkERP::setEnviaEmail()
     * @uses DocumentosStkERP::setEstadoProcesso()
     * @uses DocumentosStkERP::setEstadoTransitar()
     * @uses DocumentosStkERP::setFluxo()
     * @uses DocumentosStkERP::setFuncionalCBL()
     * @uses DocumentosStkERP::setFuncoesCBL()
     * @uses DocumentosStkERP::setIgnoraBloqueioArm()
     * @uses DocumentosStkERP::setInterno()
     * @uses DocumentosStkERP::setLigaContab()
     * @uses DocumentosStkERP::setLigaProcessos()
     * @uses DocumentosStkERP::setLigacaoCBLOnLine()
     * @uses DocumentosStkERP::setMovimentaEstados()
     * @uses DocumentosStkERP::setOperacaoControlaQtdSatisfeita()
     * @uses DocumentosStkERP::setOrganicaCBL()
     * @uses DocumentosStkERP::setPermiteAltAposExp()
     * @uses DocumentosStkERP::setPrecoUnitario()
     * @uses DocumentosStkERP::setProtegida()
     * @uses DocumentosStkERP::setRecalculaPrecoUnitario()
     * @uses DocumentosStkERP::setRecapitulativos()
     * @uses DocumentosStkERP::setSerieDevolucao()
     * @uses DocumentosStkERP::setSerieQuebra()
     * @uses DocumentosStkERP::setSugereCodProcesso()
     * @uses DocumentosStkERP::setSugestaoEstat()
     * @uses DocumentosStkERP::setTipoDocCompra()
     * @uses DocumentosStkERP::setTipoDocDevolucao()
     * @uses DocumentosStkERP::setTipoDocQuebra()
     * @uses DocumentosStkERP::setTipoDocVenda()
     * @uses DocumentosStkERP::setTipoDocumento()
     * @uses DocumentosStkERP::setTipoPrecoBensCirculacao()
     * @uses DocumentosStkERP::setTransitaEstado()
     * @uses DocumentosStkERP::setUtilizadoGPR()
     * @uses DocumentosStkERP::setVersaoUltAct()
     * @uses DocumentosStkERP::setVisivelParaMovimentacao()
     * @uses DocumentosStkERP::setVisualizarLigacaoCBL()
     * @param bool $actPCM
     * @param bool $actPCU
     * @param bool $actUltEntrada
     * @param bool $actUltSaida
     * @param bool $actualizaUltimaContagem
     * @param bool $analiticaCBL
     * @param bool $balAnalitica
     * @param bool $balAnaliticaALT
     * @param bool $balFinanceira
     * @param bool $balFinanceiraALT
     * @param bool $balOrcamental
     * @param bool $balOrcamentalALT
     * @param bool $bensCirculacao
     * @param bool $centrosCustoCBL
     * @param int $classeAnaliticaEntrada
     * @param int $classeAnaliticaSaida
     * @param bool $classesIvaCBL
     * @param string $contaCreditada
     * @param string $contaDebitada
     * @param bool $controlaCustosPorObra
     * @param bool $controlaQtdSatisfeita
     * @param string $dataUltimaActualizacao
     * @param string $descricao
     * @param string $diario
     * @param string $documento
     * @param string $eMailBCC
     * @param string $eMailCC
     * @param bool $eMailConfirmar
     * @param string $eMailTexto
     * @param bool $eMailVisualizar
     * @param string $economicaCBL
     * @param bool $emailFixo
     * @param string $emailTo
     * @param bool $enviaEmail
     * @param string $estadoProcesso
     * @param string $estadoTransitar
     * @param string $fluxo
     * @param string $funcionalCBL
     * @param bool $funcoesCBL
     * @param bool $ignoraBloqueioArm
     * @param bool $interno
     * @param bool $ligaContab
     * @param bool $ligaProcessos
     * @param bool $ligacaoCBLOnLine
     * @param bool $movimentaEstados
     * @param int $operacaoControlaQtdSatisfeita
     * @param string $organicaCBL
     * @param bool $permiteAltAposExp
     * @param int $precoUnitario
     * @param bool $protegida
     * @param bool $recalculaPrecoUnitario
     * @param bool $recapitulativos
     * @param string $serieDevolucao
     * @param string $serieQuebra
     * @param bool $sugereCodProcesso
     * @param bool $sugestaoEstat
     * @param string $tipoDocCompra
     * @param string $tipoDocDevolucao
     * @param string $tipoDocQuebra
     * @param string $tipoDocVenda
     * @param string $tipoDocumento
     * @param string $tipoPrecoBensCirculacao
     * @param bool $transitaEstado
     * @param bool $utilizadoGPR
     * @param string $versaoUltAct
     * @param bool $visivelParaMovimentacao
     * @param bool $visualizarLigacaoCBL
     */
    public function __construct($actPCM = null, $actPCU = null, $actUltEntrada = null, $actUltSaida = null, $actualizaUltimaContagem = null, $analiticaCBL = null, $balAnalitica = null, $balAnaliticaALT = null, $balFinanceira = null, $balFinanceiraALT = null, $balOrcamental = null, $balOrcamentalALT = null, $bensCirculacao = null, $centrosCustoCBL = null, $classeAnaliticaEntrada = null, $classeAnaliticaSaida = null, $classesIvaCBL = null, $contaCreditada = null, $contaDebitada = null, $controlaCustosPorObra = null, $controlaQtdSatisfeita = null, $dataUltimaActualizacao = null, $descricao = null, $diario = null, $documento = null, $eMailBCC = null, $eMailCC = null, $eMailConfirmar = null, $eMailTexto = null, $eMailVisualizar = null, $economicaCBL = null, $emailFixo = null, $emailTo = null, $enviaEmail = null, $estadoProcesso = null, $estadoTransitar = null, $fluxo = null, $funcionalCBL = null, $funcoesCBL = null, $ignoraBloqueioArm = null, $interno = null, $ligaContab = null, $ligaProcessos = null, $ligacaoCBLOnLine = null, $movimentaEstados = null, $operacaoControlaQtdSatisfeita = null, $organicaCBL = null, $permiteAltAposExp = null, $precoUnitario = null, $protegida = null, $recalculaPrecoUnitario = null, $recapitulativos = null, $serieDevolucao = null, $serieQuebra = null, $sugereCodProcesso = null, $sugestaoEstat = null, $tipoDocCompra = null, $tipoDocDevolucao = null, $tipoDocQuebra = null, $tipoDocVenda = null, $tipoDocumento = null, $tipoPrecoBensCirculacao = null, $transitaEstado = null, $utilizadoGPR = null, $versaoUltAct = null, $visivelParaMovimentacao = null, $visualizarLigacaoCBL = null)
    {
        $this
            ->setActPCM($actPCM)
            ->setActPCU($actPCU)
            ->setActUltEntrada($actUltEntrada)
            ->setActUltSaida($actUltSaida)
            ->setActualizaUltimaContagem($actualizaUltimaContagem)
            ->setAnaliticaCBL($analiticaCBL)
            ->setBalAnalitica($balAnalitica)
            ->setBalAnaliticaALT($balAnaliticaALT)
            ->setBalFinanceira($balFinanceira)
            ->setBalFinanceiraALT($balFinanceiraALT)
            ->setBalOrcamental($balOrcamental)
            ->setBalOrcamentalALT($balOrcamentalALT)
            ->setBensCirculacao($bensCirculacao)
            ->setCentrosCustoCBL($centrosCustoCBL)
            ->setClasseAnaliticaEntrada($classeAnaliticaEntrada)
            ->setClasseAnaliticaSaida($classeAnaliticaSaida)
            ->setClassesIvaCBL($classesIvaCBL)
            ->setContaCreditada($contaCreditada)
            ->setContaDebitada($contaDebitada)
            ->setControlaCustosPorObra($controlaCustosPorObra)
            ->setControlaQtdSatisfeita($controlaQtdSatisfeita)
            ->setDataUltimaActualizacao($dataUltimaActualizacao)
            ->setDescricao($descricao)
            ->setDiario($diario)
            ->setDocumento($documento)
            ->setEMailBCC($eMailBCC)
            ->setEMailCC($eMailCC)
            ->setEMailConfirmar($eMailConfirmar)
            ->setEMailTexto($eMailTexto)
            ->setEMailVisualizar($eMailVisualizar)
            ->setEconomicaCBL($economicaCBL)
            ->setEmailFixo($emailFixo)
            ->setEmailTo($emailTo)
            ->setEnviaEmail($enviaEmail)
            ->setEstadoProcesso($estadoProcesso)
            ->setEstadoTransitar($estadoTransitar)
            ->setFluxo($fluxo)
            ->setFuncionalCBL($funcionalCBL)
            ->setFuncoesCBL($funcoesCBL)
            ->setIgnoraBloqueioArm($ignoraBloqueioArm)
            ->setInterno($interno)
            ->setLigaContab($ligaContab)
            ->setLigaProcessos($ligaProcessos)
            ->setLigacaoCBLOnLine($ligacaoCBLOnLine)
            ->setMovimentaEstados($movimentaEstados)
            ->setOperacaoControlaQtdSatisfeita($operacaoControlaQtdSatisfeita)
            ->setOrganicaCBL($organicaCBL)
            ->setPermiteAltAposExp($permiteAltAposExp)
            ->setPrecoUnitario($precoUnitario)
            ->setProtegida($protegida)
            ->setRecalculaPrecoUnitario($recalculaPrecoUnitario)
            ->setRecapitulativos($recapitulativos)
            ->setSerieDevolucao($serieDevolucao)
            ->setSerieQuebra($serieQuebra)
            ->setSugereCodProcesso($sugereCodProcesso)
            ->setSugestaoEstat($sugestaoEstat)
            ->setTipoDocCompra($tipoDocCompra)
            ->setTipoDocDevolucao($tipoDocDevolucao)
            ->setTipoDocQuebra($tipoDocQuebra)
            ->setTipoDocVenda($tipoDocVenda)
            ->setTipoDocumento($tipoDocumento)
            ->setTipoPrecoBensCirculacao($tipoPrecoBensCirculacao)
            ->setTransitaEstado($transitaEstado)
            ->setUtilizadoGPR($utilizadoGPR)
            ->setVersaoUltAct($versaoUltAct)
            ->setVisivelParaMovimentacao($visivelParaMovimentacao)
            ->setVisualizarLigacaoCBL($visualizarLigacaoCBL);
    }
    /**
     * Get ActPCM value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return bool|null
     */
    public function getActPCM()
    {
        return isset($this->ActPCM) ? $this->ActPCM : null;
    }
    /**
     * Set ActPCM value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param bool $actPCM
     * @return \StructType\DocumentosStkERP
     */
    public function setActPCM($actPCM = null)
    {
        // validation for constraint: boolean
        if (!is_null($actPCM) && !is_bool($actPCM)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($actPCM)), __LINE__);
        }
        if (is_null($actPCM) || (is_array($actPCM) && empty($actPCM))) {
            unset($this->ActPCM);
        } else {
            $this->ActPCM = $actPCM;
        }
        return $this;
    }
    /**
     * Get ActPCU value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return bool|null
     */
    public function getActPCU()
    {
        return isset($this->ActPCU) ? $this->ActPCU : null;
    }
    /**
     * Set ActPCU value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param bool $actPCU
     * @return \StructType\DocumentosStkERP
     */
    public function setActPCU($actPCU = null)
    {
        // validation for constraint: boolean
        if (!is_null($actPCU) && !is_bool($actPCU)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($actPCU)), __LINE__);
        }
        if (is_null($actPCU) || (is_array($actPCU) && empty($actPCU))) {
            unset($this->ActPCU);
        } else {
            $this->ActPCU = $actPCU;
        }
        return $this;
    }
    /**
     * Get ActUltEntrada value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return bool|null
     */
    public function getActUltEntrada()
    {
        return isset($this->ActUltEntrada) ? $this->ActUltEntrada : null;
    }
    /**
     * Set ActUltEntrada value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param bool $actUltEntrada
     * @return \StructType\DocumentosStkERP
     */
    public function setActUltEntrada($actUltEntrada = null)
    {
        // validation for constraint: boolean
        if (!is_null($actUltEntrada) && !is_bool($actUltEntrada)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($actUltEntrada)), __LINE__);
        }
        if (is_null($actUltEntrada) || (is_array($actUltEntrada) && empty($actUltEntrada))) {
            unset($this->ActUltEntrada);
        } else {
            $this->ActUltEntrada = $actUltEntrada;
        }
        return $this;
    }
    /**
     * Get ActUltSaida value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return bool|null
     */
    public function getActUltSaida()
    {
        return isset($this->ActUltSaida) ? $this->ActUltSaida : null;
    }
    /**
     * Set ActUltSaida value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param bool $actUltSaida
     * @return \StructType\DocumentosStkERP
     */
    public function setActUltSaida($actUltSaida = null)
    {
        // validation for constraint: boolean
        if (!is_null($actUltSaida) && !is_bool($actUltSaida)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($actUltSaida)), __LINE__);
        }
        if (is_null($actUltSaida) || (is_array($actUltSaida) && empty($actUltSaida))) {
            unset($this->ActUltSaida);
        } else {
            $this->ActUltSaida = $actUltSaida;
        }
        return $this;
    }
    /**
     * Get ActualizaUltimaContagem value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return bool|null
     */
    public function getActualizaUltimaContagem()
    {
        return isset($this->ActualizaUltimaContagem) ? $this->ActualizaUltimaContagem : null;
    }
    /**
     * Set ActualizaUltimaContagem value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param bool $actualizaUltimaContagem
     * @return \StructType\DocumentosStkERP
     */
    public function setActualizaUltimaContagem($actualizaUltimaContagem = null)
    {
        // validation for constraint: boolean
        if (!is_null($actualizaUltimaContagem) && !is_bool($actualizaUltimaContagem)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($actualizaUltimaContagem)), __LINE__);
        }
        if (is_null($actualizaUltimaContagem) || (is_array($actualizaUltimaContagem) && empty($actualizaUltimaContagem))) {
            unset($this->ActualizaUltimaContagem);
        } else {
            $this->ActualizaUltimaContagem = $actualizaUltimaContagem;
        }
        return $this;
    }
    /**
     * Get AnaliticaCBL value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return bool|null
     */
    public function getAnaliticaCBL()
    {
        return isset($this->AnaliticaCBL) ? $this->AnaliticaCBL : null;
    }
    /**
     * Set AnaliticaCBL value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param bool $analiticaCBL
     * @return \StructType\DocumentosStkERP
     */
    public function setAnaliticaCBL($analiticaCBL = null)
    {
        // validation for constraint: boolean
        if (!is_null($analiticaCBL) && !is_bool($analiticaCBL)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($analiticaCBL)), __LINE__);
        }
        if (is_null($analiticaCBL) || (is_array($analiticaCBL) && empty($analiticaCBL))) {
            unset($this->AnaliticaCBL);
        } else {
            $this->AnaliticaCBL = $analiticaCBL;
        }
        return $this;
    }
    /**
     * Get BalAnalitica value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return bool|null
     */
    public function getBalAnalitica()
    {
        return isset($this->BalAnalitica) ? $this->BalAnalitica : null;
    }
    /**
     * Set BalAnalitica value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param bool $balAnalitica
     * @return \StructType\DocumentosStkERP
     */
    public function setBalAnalitica($balAnalitica = null)
    {
        // validation for constraint: boolean
        if (!is_null($balAnalitica) && !is_bool($balAnalitica)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($balAnalitica)), __LINE__);
        }
        if (is_null($balAnalitica) || (is_array($balAnalitica) && empty($balAnalitica))) {
            unset($this->BalAnalitica);
        } else {
            $this->BalAnalitica = $balAnalitica;
        }
        return $this;
    }
    /**
     * Get BalAnaliticaALT value
     * @return bool|null
     */
    public function getBalAnaliticaALT()
    {
        return $this->BalAnaliticaALT;
    }
    /**
     * Set BalAnaliticaALT value
     * @param bool $balAnaliticaALT
     * @return \StructType\DocumentosStkERP
     */
    public function setBalAnaliticaALT($balAnaliticaALT = null)
    {
        // validation for constraint: boolean
        if (!is_null($balAnaliticaALT) && !is_bool($balAnaliticaALT)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($balAnaliticaALT)), __LINE__);
        }
        $this->BalAnaliticaALT = $balAnaliticaALT;
        return $this;
    }
    /**
     * Get BalFinanceira value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return bool|null
     */
    public function getBalFinanceira()
    {
        return isset($this->BalFinanceira) ? $this->BalFinanceira : null;
    }
    /**
     * Set BalFinanceira value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param bool $balFinanceira
     * @return \StructType\DocumentosStkERP
     */
    public function setBalFinanceira($balFinanceira = null)
    {
        // validation for constraint: boolean
        if (!is_null($balFinanceira) && !is_bool($balFinanceira)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($balFinanceira)), __LINE__);
        }
        if (is_null($balFinanceira) || (is_array($balFinanceira) && empty($balFinanceira))) {
            unset($this->BalFinanceira);
        } else {
            $this->BalFinanceira = $balFinanceira;
        }
        return $this;
    }
    /**
     * Get BalFinanceiraALT value
     * @return bool|null
     */
    public function getBalFinanceiraALT()
    {
        return $this->BalFinanceiraALT;
    }
    /**
     * Set BalFinanceiraALT value
     * @param bool $balFinanceiraALT
     * @return \StructType\DocumentosStkERP
     */
    public function setBalFinanceiraALT($balFinanceiraALT = null)
    {
        // validation for constraint: boolean
        if (!is_null($balFinanceiraALT) && !is_bool($balFinanceiraALT)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($balFinanceiraALT)), __LINE__);
        }
        $this->BalFinanceiraALT = $balFinanceiraALT;
        return $this;
    }
    /**
     * Get BalOrcamental value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return bool|null
     */
    public function getBalOrcamental()
    {
        return isset($this->BalOrcamental) ? $this->BalOrcamental : null;
    }
    /**
     * Set BalOrcamental value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param bool $balOrcamental
     * @return \StructType\DocumentosStkERP
     */
    public function setBalOrcamental($balOrcamental = null)
    {
        // validation for constraint: boolean
        if (!is_null($balOrcamental) && !is_bool($balOrcamental)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($balOrcamental)), __LINE__);
        }
        if (is_null($balOrcamental) || (is_array($balOrcamental) && empty($balOrcamental))) {
            unset($this->BalOrcamental);
        } else {
            $this->BalOrcamental = $balOrcamental;
        }
        return $this;
    }
    /**
     * Get BalOrcamentalALT value
     * @return bool|null
     */
    public function getBalOrcamentalALT()
    {
        return $this->BalOrcamentalALT;
    }
    /**
     * Set BalOrcamentalALT value
     * @param bool $balOrcamentalALT
     * @return \StructType\DocumentosStkERP
     */
    public function setBalOrcamentalALT($balOrcamentalALT = null)
    {
        // validation for constraint: boolean
        if (!is_null($balOrcamentalALT) && !is_bool($balOrcamentalALT)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($balOrcamentalALT)), __LINE__);
        }
        $this->BalOrcamentalALT = $balOrcamentalALT;
        return $this;
    }
    /**
     * Get BensCirculacao value
     * @return bool|null
     */
    public function getBensCirculacao()
    {
        return $this->BensCirculacao;
    }
    /**
     * Set BensCirculacao value
     * @param bool $bensCirculacao
     * @return \StructType\DocumentosStkERP
     */
    public function setBensCirculacao($bensCirculacao = null)
    {
        // validation for constraint: boolean
        if (!is_null($bensCirculacao) && !is_bool($bensCirculacao)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($bensCirculacao)), __LINE__);
        }
        $this->BensCirculacao = $bensCirculacao;
        return $this;
    }
    /**
     * Get CentrosCustoCBL value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return bool|null
     */
    public function getCentrosCustoCBL()
    {
        return isset($this->CentrosCustoCBL) ? $this->CentrosCustoCBL : null;
    }
    /**
     * Set CentrosCustoCBL value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param bool $centrosCustoCBL
     * @return \StructType\DocumentosStkERP
     */
    public function setCentrosCustoCBL($centrosCustoCBL = null)
    {
        // validation for constraint: boolean
        if (!is_null($centrosCustoCBL) && !is_bool($centrosCustoCBL)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($centrosCustoCBL)), __LINE__);
        }
        if (is_null($centrosCustoCBL) || (is_array($centrosCustoCBL) && empty($centrosCustoCBL))) {
            unset($this->CentrosCustoCBL);
        } else {
            $this->CentrosCustoCBL = $centrosCustoCBL;
        }
        return $this;
    }
    /**
     * Get ClasseAnaliticaEntrada value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return int|null
     */
    public function getClasseAnaliticaEntrada()
    {
        return isset($this->ClasseAnaliticaEntrada) ? $this->ClasseAnaliticaEntrada : null;
    }
    /**
     * Set ClasseAnaliticaEntrada value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param int $classeAnaliticaEntrada
     * @return \StructType\DocumentosStkERP
     */
    public function setClasseAnaliticaEntrada($classeAnaliticaEntrada = null)
    {
        // validation for constraint: int
        if (!is_null($classeAnaliticaEntrada) && !is_numeric($classeAnaliticaEntrada)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($classeAnaliticaEntrada)), __LINE__);
        }
        if (is_null($classeAnaliticaEntrada) || (is_array($classeAnaliticaEntrada) && empty($classeAnaliticaEntrada))) {
            unset($this->ClasseAnaliticaEntrada);
        } else {
            $this->ClasseAnaliticaEntrada = $classeAnaliticaEntrada;
        }
        return $this;
    }
    /**
     * Get ClasseAnaliticaSaida value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return int|null
     */
    public function getClasseAnaliticaSaida()
    {
        return isset($this->ClasseAnaliticaSaida) ? $this->ClasseAnaliticaSaida : null;
    }
    /**
     * Set ClasseAnaliticaSaida value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param int $classeAnaliticaSaida
     * @return \StructType\DocumentosStkERP
     */
    public function setClasseAnaliticaSaida($classeAnaliticaSaida = null)
    {
        // validation for constraint: int
        if (!is_null($classeAnaliticaSaida) && !is_numeric($classeAnaliticaSaida)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($classeAnaliticaSaida)), __LINE__);
        }
        if (is_null($classeAnaliticaSaida) || (is_array($classeAnaliticaSaida) && empty($classeAnaliticaSaida))) {
            unset($this->ClasseAnaliticaSaida);
        } else {
            $this->ClasseAnaliticaSaida = $classeAnaliticaSaida;
        }
        return $this;
    }
    /**
     * Get ClassesIvaCBL value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return bool|null
     */
    public function getClassesIvaCBL()
    {
        return isset($this->ClassesIvaCBL) ? $this->ClassesIvaCBL : null;
    }
    /**
     * Set ClassesIvaCBL value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param bool $classesIvaCBL
     * @return \StructType\DocumentosStkERP
     */
    public function setClassesIvaCBL($classesIvaCBL = null)
    {
        // validation for constraint: boolean
        if (!is_null($classesIvaCBL) && !is_bool($classesIvaCBL)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($classesIvaCBL)), __LINE__);
        }
        if (is_null($classesIvaCBL) || (is_array($classesIvaCBL) && empty($classesIvaCBL))) {
            unset($this->ClassesIvaCBL);
        } else {
            $this->ClassesIvaCBL = $classesIvaCBL;
        }
        return $this;
    }
    /**
     * Get ContaCreditada value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getContaCreditada()
    {
        return isset($this->ContaCreditada) ? $this->ContaCreditada : null;
    }
    /**
     * Set ContaCreditada value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $contaCreditada
     * @return \StructType\DocumentosStkERP
     */
    public function setContaCreditada($contaCreditada = null)
    {
        // validation for constraint: string
        if (!is_null($contaCreditada) && !is_string($contaCreditada)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($contaCreditada)), __LINE__);
        }
        if (is_null($contaCreditada) || (is_array($contaCreditada) && empty($contaCreditada))) {
            unset($this->ContaCreditada);
        } else {
            $this->ContaCreditada = $contaCreditada;
        }
        return $this;
    }
    /**
     * Get ContaDebitada value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getContaDebitada()
    {
        return isset($this->ContaDebitada) ? $this->ContaDebitada : null;
    }
    /**
     * Set ContaDebitada value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $contaDebitada
     * @return \StructType\DocumentosStkERP
     */
    public function setContaDebitada($contaDebitada = null)
    {
        // validation for constraint: string
        if (!is_null($contaDebitada) && !is_string($contaDebitada)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($contaDebitada)), __LINE__);
        }
        if (is_null($contaDebitada) || (is_array($contaDebitada) && empty($contaDebitada))) {
            unset($this->ContaDebitada);
        } else {
            $this->ContaDebitada = $contaDebitada;
        }
        return $this;
    }
    /**
     * Get ControlaCustosPorObra value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return bool|null
     */
    public function getControlaCustosPorObra()
    {
        return isset($this->ControlaCustosPorObra) ? $this->ControlaCustosPorObra : null;
    }
    /**
     * Set ControlaCustosPorObra value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param bool $controlaCustosPorObra
     * @return \StructType\DocumentosStkERP
     */
    public function setControlaCustosPorObra($controlaCustosPorObra = null)
    {
        // validation for constraint: boolean
        if (!is_null($controlaCustosPorObra) && !is_bool($controlaCustosPorObra)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($controlaCustosPorObra)), __LINE__);
        }
        if (is_null($controlaCustosPorObra) || (is_array($controlaCustosPorObra) && empty($controlaCustosPorObra))) {
            unset($this->ControlaCustosPorObra);
        } else {
            $this->ControlaCustosPorObra = $controlaCustosPorObra;
        }
        return $this;
    }
    /**
     * Get ControlaQtdSatisfeita value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return bool|null
     */
    public function getControlaQtdSatisfeita()
    {
        return isset($this->ControlaQtdSatisfeita) ? $this->ControlaQtdSatisfeita : null;
    }
    /**
     * Set ControlaQtdSatisfeita value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param bool $controlaQtdSatisfeita
     * @return \StructType\DocumentosStkERP
     */
    public function setControlaQtdSatisfeita($controlaQtdSatisfeita = null)
    {
        // validation for constraint: boolean
        if (!is_null($controlaQtdSatisfeita) && !is_bool($controlaQtdSatisfeita)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($controlaQtdSatisfeita)), __LINE__);
        }
        if (is_null($controlaQtdSatisfeita) || (is_array($controlaQtdSatisfeita) && empty($controlaQtdSatisfeita))) {
            unset($this->ControlaQtdSatisfeita);
        } else {
            $this->ControlaQtdSatisfeita = $controlaQtdSatisfeita;
        }
        return $this;
    }
    /**
     * Get DataUltimaActualizacao value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getDataUltimaActualizacao()
    {
        return isset($this->DataUltimaActualizacao) ? $this->DataUltimaActualizacao : null;
    }
    /**
     * Set DataUltimaActualizacao value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $dataUltimaActualizacao
     * @return \StructType\DocumentosStkERP
     */
    public function setDataUltimaActualizacao($dataUltimaActualizacao = null)
    {
        // validation for constraint: string
        if (!is_null($dataUltimaActualizacao) && !is_string($dataUltimaActualizacao)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($dataUltimaActualizacao)), __LINE__);
        }
        if (is_null($dataUltimaActualizacao) || (is_array($dataUltimaActualizacao) && empty($dataUltimaActualizacao))) {
            unset($this->DataUltimaActualizacao);
        } else {
            $this->DataUltimaActualizacao = $dataUltimaActualizacao;
        }
        return $this;
    }
    /**
     * Get Descricao value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getDescricao()
    {
        return isset($this->Descricao) ? $this->Descricao : null;
    }
    /**
     * Set Descricao value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $descricao
     * @return \StructType\DocumentosStkERP
     */
    public function setDescricao($descricao = null)
    {
        // validation for constraint: string
        if (!is_null($descricao) && !is_string($descricao)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($descricao)), __LINE__);
        }
        if (is_null($descricao) || (is_array($descricao) && empty($descricao))) {
            unset($this->Descricao);
        } else {
            $this->Descricao = $descricao;
        }
        return $this;
    }
    /**
     * Get Diario value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getDiario()
    {
        return isset($this->Diario) ? $this->Diario : null;
    }
    /**
     * Set Diario value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $diario
     * @return \StructType\DocumentosStkERP
     */
    public function setDiario($diario = null)
    {
        // validation for constraint: string
        if (!is_null($diario) && !is_string($diario)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($diario)), __LINE__);
        }
        if (is_null($diario) || (is_array($diario) && empty($diario))) {
            unset($this->Diario);
        } else {
            $this->Diario = $diario;
        }
        return $this;
    }
    /**
     * Get Documento value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getDocumento()
    {
        return isset($this->Documento) ? $this->Documento : null;
    }
    /**
     * Set Documento value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $documento
     * @return \StructType\DocumentosStkERP
     */
    public function setDocumento($documento = null)
    {
        // validation for constraint: string
        if (!is_null($documento) && !is_string($documento)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($documento)), __LINE__);
        }
        if (is_null($documento) || (is_array($documento) && empty($documento))) {
            unset($this->Documento);
        } else {
            $this->Documento = $documento;
        }
        return $this;
    }
    /**
     * Get EMailBCC value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getEMailBCC()
    {
        return isset($this->EMailBCC) ? $this->EMailBCC : null;
    }
    /**
     * Set EMailBCC value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $eMailBCC
     * @return \StructType\DocumentosStkERP
     */
    public function setEMailBCC($eMailBCC = null)
    {
        // validation for constraint: string
        if (!is_null($eMailBCC) && !is_string($eMailBCC)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($eMailBCC)), __LINE__);
        }
        if (is_null($eMailBCC) || (is_array($eMailBCC) && empty($eMailBCC))) {
            unset($this->EMailBCC);
        } else {
            $this->EMailBCC = $eMailBCC;
        }
        return $this;
    }
    /**
     * Get EMailCC value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getEMailCC()
    {
        return isset($this->EMailCC) ? $this->EMailCC : null;
    }
    /**
     * Set EMailCC value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $eMailCC
     * @return \StructType\DocumentosStkERP
     */
    public function setEMailCC($eMailCC = null)
    {
        // validation for constraint: string
        if (!is_null($eMailCC) && !is_string($eMailCC)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($eMailCC)), __LINE__);
        }
        if (is_null($eMailCC) || (is_array($eMailCC) && empty($eMailCC))) {
            unset($this->EMailCC);
        } else {
            $this->EMailCC = $eMailCC;
        }
        return $this;
    }
    /**
     * Get EMailConfirmar value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return bool|null
     */
    public function getEMailConfirmar()
    {
        return isset($this->EMailConfirmar) ? $this->EMailConfirmar : null;
    }
    /**
     * Set EMailConfirmar value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param bool $eMailConfirmar
     * @return \StructType\DocumentosStkERP
     */
    public function setEMailConfirmar($eMailConfirmar = null)
    {
        // validation for constraint: boolean
        if (!is_null($eMailConfirmar) && !is_bool($eMailConfirmar)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($eMailConfirmar)), __LINE__);
        }
        if (is_null($eMailConfirmar) || (is_array($eMailConfirmar) && empty($eMailConfirmar))) {
            unset($this->EMailConfirmar);
        } else {
            $this->EMailConfirmar = $eMailConfirmar;
        }
        return $this;
    }
    /**
     * Get EMailTexto value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getEMailTexto()
    {
        return isset($this->EMailTexto) ? $this->EMailTexto : null;
    }
    /**
     * Set EMailTexto value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $eMailTexto
     * @return \StructType\DocumentosStkERP
     */
    public function setEMailTexto($eMailTexto = null)
    {
        // validation for constraint: string
        if (!is_null($eMailTexto) && !is_string($eMailTexto)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($eMailTexto)), __LINE__);
        }
        if (is_null($eMailTexto) || (is_array($eMailTexto) && empty($eMailTexto))) {
            unset($this->EMailTexto);
        } else {
            $this->EMailTexto = $eMailTexto;
        }
        return $this;
    }
    /**
     * Get EMailVisualizar value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return bool|null
     */
    public function getEMailVisualizar()
    {
        return isset($this->EMailVisualizar) ? $this->EMailVisualizar : null;
    }
    /**
     * Set EMailVisualizar value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param bool $eMailVisualizar
     * @return \StructType\DocumentosStkERP
     */
    public function setEMailVisualizar($eMailVisualizar = null)
    {
        // validation for constraint: boolean
        if (!is_null($eMailVisualizar) && !is_bool($eMailVisualizar)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($eMailVisualizar)), __LINE__);
        }
        if (is_null($eMailVisualizar) || (is_array($eMailVisualizar) && empty($eMailVisualizar))) {
            unset($this->EMailVisualizar);
        } else {
            $this->EMailVisualizar = $eMailVisualizar;
        }
        return $this;
    }
    /**
     * Get EconomicaCBL value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getEconomicaCBL()
    {
        return isset($this->EconomicaCBL) ? $this->EconomicaCBL : null;
    }
    /**
     * Set EconomicaCBL value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $economicaCBL
     * @return \StructType\DocumentosStkERP
     */
    public function setEconomicaCBL($economicaCBL = null)
    {
        // validation for constraint: string
        if (!is_null($economicaCBL) && !is_string($economicaCBL)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($economicaCBL)), __LINE__);
        }
        if (is_null($economicaCBL) || (is_array($economicaCBL) && empty($economicaCBL))) {
            unset($this->EconomicaCBL);
        } else {
            $this->EconomicaCBL = $economicaCBL;
        }
        return $this;
    }
    /**
     * Get EmailFixo value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return bool|null
     */
    public function getEmailFixo()
    {
        return isset($this->EmailFixo) ? $this->EmailFixo : null;
    }
    /**
     * Set EmailFixo value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param bool $emailFixo
     * @return \StructType\DocumentosStkERP
     */
    public function setEmailFixo($emailFixo = null)
    {
        // validation for constraint: boolean
        if (!is_null($emailFixo) && !is_bool($emailFixo)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($emailFixo)), __LINE__);
        }
        if (is_null($emailFixo) || (is_array($emailFixo) && empty($emailFixo))) {
            unset($this->EmailFixo);
        } else {
            $this->EmailFixo = $emailFixo;
        }
        return $this;
    }
    /**
     * Get EmailTo value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getEmailTo()
    {
        return isset($this->EmailTo) ? $this->EmailTo : null;
    }
    /**
     * Set EmailTo value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $emailTo
     * @return \StructType\DocumentosStkERP
     */
    public function setEmailTo($emailTo = null)
    {
        // validation for constraint: string
        if (!is_null($emailTo) && !is_string($emailTo)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($emailTo)), __LINE__);
        }
        if (is_null($emailTo) || (is_array($emailTo) && empty($emailTo))) {
            unset($this->EmailTo);
        } else {
            $this->EmailTo = $emailTo;
        }
        return $this;
    }
    /**
     * Get EnviaEmail value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return bool|null
     */
    public function getEnviaEmail()
    {
        return isset($this->EnviaEmail) ? $this->EnviaEmail : null;
    }
    /**
     * Set EnviaEmail value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param bool $enviaEmail
     * @return \StructType\DocumentosStkERP
     */
    public function setEnviaEmail($enviaEmail = null)
    {
        // validation for constraint: boolean
        if (!is_null($enviaEmail) && !is_bool($enviaEmail)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($enviaEmail)), __LINE__);
        }
        if (is_null($enviaEmail) || (is_array($enviaEmail) && empty($enviaEmail))) {
            unset($this->EnviaEmail);
        } else {
            $this->EnviaEmail = $enviaEmail;
        }
        return $this;
    }
    /**
     * Get EstadoProcesso value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getEstadoProcesso()
    {
        return isset($this->EstadoProcesso) ? $this->EstadoProcesso : null;
    }
    /**
     * Set EstadoProcesso value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $estadoProcesso
     * @return \StructType\DocumentosStkERP
     */
    public function setEstadoProcesso($estadoProcesso = null)
    {
        // validation for constraint: string
        if (!is_null($estadoProcesso) && !is_string($estadoProcesso)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($estadoProcesso)), __LINE__);
        }
        if (is_null($estadoProcesso) || (is_array($estadoProcesso) && empty($estadoProcesso))) {
            unset($this->EstadoProcesso);
        } else {
            $this->EstadoProcesso = $estadoProcesso;
        }
        return $this;
    }
    /**
     * Get EstadoTransitar value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getEstadoTransitar()
    {
        return isset($this->EstadoTransitar) ? $this->EstadoTransitar : null;
    }
    /**
     * Set EstadoTransitar value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $estadoTransitar
     * @return \StructType\DocumentosStkERP
     */
    public function setEstadoTransitar($estadoTransitar = null)
    {
        // validation for constraint: string
        if (!is_null($estadoTransitar) && !is_string($estadoTransitar)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($estadoTransitar)), __LINE__);
        }
        if (is_null($estadoTransitar) || (is_array($estadoTransitar) && empty($estadoTransitar))) {
            unset($this->EstadoTransitar);
        } else {
            $this->EstadoTransitar = $estadoTransitar;
        }
        return $this;
    }
    /**
     * Get Fluxo value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getFluxo()
    {
        return isset($this->Fluxo) ? $this->Fluxo : null;
    }
    /**
     * Set Fluxo value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $fluxo
     * @return \StructType\DocumentosStkERP
     */
    public function setFluxo($fluxo = null)
    {
        // validation for constraint: string
        if (!is_null($fluxo) && !is_string($fluxo)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($fluxo)), __LINE__);
        }
        if (is_null($fluxo) || (is_array($fluxo) && empty($fluxo))) {
            unset($this->Fluxo);
        } else {
            $this->Fluxo = $fluxo;
        }
        return $this;
    }
    /**
     * Get FuncionalCBL value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getFuncionalCBL()
    {
        return isset($this->FuncionalCBL) ? $this->FuncionalCBL : null;
    }
    /**
     * Set FuncionalCBL value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $funcionalCBL
     * @return \StructType\DocumentosStkERP
     */
    public function setFuncionalCBL($funcionalCBL = null)
    {
        // validation for constraint: string
        if (!is_null($funcionalCBL) && !is_string($funcionalCBL)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($funcionalCBL)), __LINE__);
        }
        if (is_null($funcionalCBL) || (is_array($funcionalCBL) && empty($funcionalCBL))) {
            unset($this->FuncionalCBL);
        } else {
            $this->FuncionalCBL = $funcionalCBL;
        }
        return $this;
    }
    /**
     * Get FuncoesCBL value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return bool|null
     */
    public function getFuncoesCBL()
    {
        return isset($this->FuncoesCBL) ? $this->FuncoesCBL : null;
    }
    /**
     * Set FuncoesCBL value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param bool $funcoesCBL
     * @return \StructType\DocumentosStkERP
     */
    public function setFuncoesCBL($funcoesCBL = null)
    {
        // validation for constraint: boolean
        if (!is_null($funcoesCBL) && !is_bool($funcoesCBL)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($funcoesCBL)), __LINE__);
        }
        if (is_null($funcoesCBL) || (is_array($funcoesCBL) && empty($funcoesCBL))) {
            unset($this->FuncoesCBL);
        } else {
            $this->FuncoesCBL = $funcoesCBL;
        }
        return $this;
    }
    /**
     * Get IgnoraBloqueioArm value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return bool|null
     */
    public function getIgnoraBloqueioArm()
    {
        return isset($this->IgnoraBloqueioArm) ? $this->IgnoraBloqueioArm : null;
    }
    /**
     * Set IgnoraBloqueioArm value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param bool $ignoraBloqueioArm
     * @return \StructType\DocumentosStkERP
     */
    public function setIgnoraBloqueioArm($ignoraBloqueioArm = null)
    {
        // validation for constraint: boolean
        if (!is_null($ignoraBloqueioArm) && !is_bool($ignoraBloqueioArm)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($ignoraBloqueioArm)), __LINE__);
        }
        if (is_null($ignoraBloqueioArm) || (is_array($ignoraBloqueioArm) && empty($ignoraBloqueioArm))) {
            unset($this->IgnoraBloqueioArm);
        } else {
            $this->IgnoraBloqueioArm = $ignoraBloqueioArm;
        }
        return $this;
    }
    /**
     * Get Interno value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return bool|null
     */
    public function getInterno()
    {
        return isset($this->Interno) ? $this->Interno : null;
    }
    /**
     * Set Interno value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param bool $interno
     * @return \StructType\DocumentosStkERP
     */
    public function setInterno($interno = null)
    {
        // validation for constraint: boolean
        if (!is_null($interno) && !is_bool($interno)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($interno)), __LINE__);
        }
        if (is_null($interno) || (is_array($interno) && empty($interno))) {
            unset($this->Interno);
        } else {
            $this->Interno = $interno;
        }
        return $this;
    }
    /**
     * Get LigaContab value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return bool|null
     */
    public function getLigaContab()
    {
        return isset($this->LigaContab) ? $this->LigaContab : null;
    }
    /**
     * Set LigaContab value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param bool $ligaContab
     * @return \StructType\DocumentosStkERP
     */
    public function setLigaContab($ligaContab = null)
    {
        // validation for constraint: boolean
        if (!is_null($ligaContab) && !is_bool($ligaContab)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($ligaContab)), __LINE__);
        }
        if (is_null($ligaContab) || (is_array($ligaContab) && empty($ligaContab))) {
            unset($this->LigaContab);
        } else {
            $this->LigaContab = $ligaContab;
        }
        return $this;
    }
    /**
     * Get LigaProcessos value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return bool|null
     */
    public function getLigaProcessos()
    {
        return isset($this->LigaProcessos) ? $this->LigaProcessos : null;
    }
    /**
     * Set LigaProcessos value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param bool $ligaProcessos
     * @return \StructType\DocumentosStkERP
     */
    public function setLigaProcessos($ligaProcessos = null)
    {
        // validation for constraint: boolean
        if (!is_null($ligaProcessos) && !is_bool($ligaProcessos)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($ligaProcessos)), __LINE__);
        }
        if (is_null($ligaProcessos) || (is_array($ligaProcessos) && empty($ligaProcessos))) {
            unset($this->LigaProcessos);
        } else {
            $this->LigaProcessos = $ligaProcessos;
        }
        return $this;
    }
    /**
     * Get LigacaoCBLOnLine value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return bool|null
     */
    public function getLigacaoCBLOnLine()
    {
        return isset($this->LigacaoCBLOnLine) ? $this->LigacaoCBLOnLine : null;
    }
    /**
     * Set LigacaoCBLOnLine value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param bool $ligacaoCBLOnLine
     * @return \StructType\DocumentosStkERP
     */
    public function setLigacaoCBLOnLine($ligacaoCBLOnLine = null)
    {
        // validation for constraint: boolean
        if (!is_null($ligacaoCBLOnLine) && !is_bool($ligacaoCBLOnLine)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($ligacaoCBLOnLine)), __LINE__);
        }
        if (is_null($ligacaoCBLOnLine) || (is_array($ligacaoCBLOnLine) && empty($ligacaoCBLOnLine))) {
            unset($this->LigacaoCBLOnLine);
        } else {
            $this->LigacaoCBLOnLine = $ligacaoCBLOnLine;
        }
        return $this;
    }
    /**
     * Get MovimentaEstados value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return bool|null
     */
    public function getMovimentaEstados()
    {
        return isset($this->MovimentaEstados) ? $this->MovimentaEstados : null;
    }
    /**
     * Set MovimentaEstados value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param bool $movimentaEstados
     * @return \StructType\DocumentosStkERP
     */
    public function setMovimentaEstados($movimentaEstados = null)
    {
        // validation for constraint: boolean
        if (!is_null($movimentaEstados) && !is_bool($movimentaEstados)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($movimentaEstados)), __LINE__);
        }
        if (is_null($movimentaEstados) || (is_array($movimentaEstados) && empty($movimentaEstados))) {
            unset($this->MovimentaEstados);
        } else {
            $this->MovimentaEstados = $movimentaEstados;
        }
        return $this;
    }
    /**
     * Get OperacaoControlaQtdSatisfeita value
     * @return int|null
     */
    public function getOperacaoControlaQtdSatisfeita()
    {
        return $this->OperacaoControlaQtdSatisfeita;
    }
    /**
     * Set OperacaoControlaQtdSatisfeita value
     * @param int $operacaoControlaQtdSatisfeita
     * @return \StructType\DocumentosStkERP
     */
    public function setOperacaoControlaQtdSatisfeita($operacaoControlaQtdSatisfeita = null)
    {
        // validation for constraint: int
        if (!is_null($operacaoControlaQtdSatisfeita) && !is_numeric($operacaoControlaQtdSatisfeita)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($operacaoControlaQtdSatisfeita)), __LINE__);
        }
        $this->OperacaoControlaQtdSatisfeita = $operacaoControlaQtdSatisfeita;
        return $this;
    }
    /**
     * Get OrganicaCBL value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getOrganicaCBL()
    {
        return isset($this->OrganicaCBL) ? $this->OrganicaCBL : null;
    }
    /**
     * Set OrganicaCBL value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $organicaCBL
     * @return \StructType\DocumentosStkERP
     */
    public function setOrganicaCBL($organicaCBL = null)
    {
        // validation for constraint: string
        if (!is_null($organicaCBL) && !is_string($organicaCBL)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($organicaCBL)), __LINE__);
        }
        if (is_null($organicaCBL) || (is_array($organicaCBL) && empty($organicaCBL))) {
            unset($this->OrganicaCBL);
        } else {
            $this->OrganicaCBL = $organicaCBL;
        }
        return $this;
    }
    /**
     * Get PermiteAltAposExp value
     * @return bool|null
     */
    public function getPermiteAltAposExp()
    {
        return $this->PermiteAltAposExp;
    }
    /**
     * Set PermiteAltAposExp value
     * @param bool $permiteAltAposExp
     * @return \StructType\DocumentosStkERP
     */
    public function setPermiteAltAposExp($permiteAltAposExp = null)
    {
        // validation for constraint: boolean
        if (!is_null($permiteAltAposExp) && !is_bool($permiteAltAposExp)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($permiteAltAposExp)), __LINE__);
        }
        $this->PermiteAltAposExp = $permiteAltAposExp;
        return $this;
    }
    /**
     * Get PrecoUnitario value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return int|null
     */
    public function getPrecoUnitario()
    {
        return isset($this->PrecoUnitario) ? $this->PrecoUnitario : null;
    }
    /**
     * Set PrecoUnitario value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param int $precoUnitario
     * @return \StructType\DocumentosStkERP
     */
    public function setPrecoUnitario($precoUnitario = null)
    {
        // validation for constraint: int
        if (!is_null($precoUnitario) && !is_numeric($precoUnitario)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a numeric value, "%s" given', gettype($precoUnitario)), __LINE__);
        }
        if (is_null($precoUnitario) || (is_array($precoUnitario) && empty($precoUnitario))) {
            unset($this->PrecoUnitario);
        } else {
            $this->PrecoUnitario = $precoUnitario;
        }
        return $this;
    }
    /**
     * Get Protegida value
     * @return bool|null
     */
    public function getProtegida()
    {
        return $this->Protegida;
    }
    /**
     * Set Protegida value
     * @param bool $protegida
     * @return \StructType\DocumentosStkERP
     */
    public function setProtegida($protegida = null)
    {
        // validation for constraint: boolean
        if (!is_null($protegida) && !is_bool($protegida)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($protegida)), __LINE__);
        }
        $this->Protegida = $protegida;
        return $this;
    }
    /**
     * Get RecalculaPrecoUnitario value
     * @return bool|null
     */
    public function getRecalculaPrecoUnitario()
    {
        return $this->RecalculaPrecoUnitario;
    }
    /**
     * Set RecalculaPrecoUnitario value
     * @param bool $recalculaPrecoUnitario
     * @return \StructType\DocumentosStkERP
     */
    public function setRecalculaPrecoUnitario($recalculaPrecoUnitario = null)
    {
        // validation for constraint: boolean
        if (!is_null($recalculaPrecoUnitario) && !is_bool($recalculaPrecoUnitario)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($recalculaPrecoUnitario)), __LINE__);
        }
        $this->RecalculaPrecoUnitario = $recalculaPrecoUnitario;
        return $this;
    }
    /**
     * Get Recapitulativos value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return bool|null
     */
    public function getRecapitulativos()
    {
        return isset($this->Recapitulativos) ? $this->Recapitulativos : null;
    }
    /**
     * Set Recapitulativos value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param bool $recapitulativos
     * @return \StructType\DocumentosStkERP
     */
    public function setRecapitulativos($recapitulativos = null)
    {
        // validation for constraint: boolean
        if (!is_null($recapitulativos) && !is_bool($recapitulativos)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($recapitulativos)), __LINE__);
        }
        if (is_null($recapitulativos) || (is_array($recapitulativos) && empty($recapitulativos))) {
            unset($this->Recapitulativos);
        } else {
            $this->Recapitulativos = $recapitulativos;
        }
        return $this;
    }
    /**
     * Get SerieDevolucao value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getSerieDevolucao()
    {
        return isset($this->SerieDevolucao) ? $this->SerieDevolucao : null;
    }
    /**
     * Set SerieDevolucao value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $serieDevolucao
     * @return \StructType\DocumentosStkERP
     */
    public function setSerieDevolucao($serieDevolucao = null)
    {
        // validation for constraint: string
        if (!is_null($serieDevolucao) && !is_string($serieDevolucao)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($serieDevolucao)), __LINE__);
        }
        if (is_null($serieDevolucao) || (is_array($serieDevolucao) && empty($serieDevolucao))) {
            unset($this->SerieDevolucao);
        } else {
            $this->SerieDevolucao = $serieDevolucao;
        }
        return $this;
    }
    /**
     * Get SerieQuebra value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getSerieQuebra()
    {
        return isset($this->SerieQuebra) ? $this->SerieQuebra : null;
    }
    /**
     * Set SerieQuebra value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $serieQuebra
     * @return \StructType\DocumentosStkERP
     */
    public function setSerieQuebra($serieQuebra = null)
    {
        // validation for constraint: string
        if (!is_null($serieQuebra) && !is_string($serieQuebra)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($serieQuebra)), __LINE__);
        }
        if (is_null($serieQuebra) || (is_array($serieQuebra) && empty($serieQuebra))) {
            unset($this->SerieQuebra);
        } else {
            $this->SerieQuebra = $serieQuebra;
        }
        return $this;
    }
    /**
     * Get SugereCodProcesso value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return bool|null
     */
    public function getSugereCodProcesso()
    {
        return isset($this->SugereCodProcesso) ? $this->SugereCodProcesso : null;
    }
    /**
     * Set SugereCodProcesso value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param bool $sugereCodProcesso
     * @return \StructType\DocumentosStkERP
     */
    public function setSugereCodProcesso($sugereCodProcesso = null)
    {
        // validation for constraint: boolean
        if (!is_null($sugereCodProcesso) && !is_bool($sugereCodProcesso)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($sugereCodProcesso)), __LINE__);
        }
        if (is_null($sugereCodProcesso) || (is_array($sugereCodProcesso) && empty($sugereCodProcesso))) {
            unset($this->SugereCodProcesso);
        } else {
            $this->SugereCodProcesso = $sugereCodProcesso;
        }
        return $this;
    }
    /**
     * Get SugestaoEstat value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return bool|null
     */
    public function getSugestaoEstat()
    {
        return isset($this->SugestaoEstat) ? $this->SugestaoEstat : null;
    }
    /**
     * Set SugestaoEstat value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param bool $sugestaoEstat
     * @return \StructType\DocumentosStkERP
     */
    public function setSugestaoEstat($sugestaoEstat = null)
    {
        // validation for constraint: boolean
        if (!is_null($sugestaoEstat) && !is_bool($sugestaoEstat)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($sugestaoEstat)), __LINE__);
        }
        if (is_null($sugestaoEstat) || (is_array($sugestaoEstat) && empty($sugestaoEstat))) {
            unset($this->SugestaoEstat);
        } else {
            $this->SugestaoEstat = $sugestaoEstat;
        }
        return $this;
    }
    /**
     * Get TipoDocCompra value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getTipoDocCompra()
    {
        return isset($this->TipoDocCompra) ? $this->TipoDocCompra : null;
    }
    /**
     * Set TipoDocCompra value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $tipoDocCompra
     * @return \StructType\DocumentosStkERP
     */
    public function setTipoDocCompra($tipoDocCompra = null)
    {
        // validation for constraint: string
        if (!is_null($tipoDocCompra) && !is_string($tipoDocCompra)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($tipoDocCompra)), __LINE__);
        }
        if (is_null($tipoDocCompra) || (is_array($tipoDocCompra) && empty($tipoDocCompra))) {
            unset($this->TipoDocCompra);
        } else {
            $this->TipoDocCompra = $tipoDocCompra;
        }
        return $this;
    }
    /**
     * Get TipoDocDevolucao value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getTipoDocDevolucao()
    {
        return isset($this->TipoDocDevolucao) ? $this->TipoDocDevolucao : null;
    }
    /**
     * Set TipoDocDevolucao value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $tipoDocDevolucao
     * @return \StructType\DocumentosStkERP
     */
    public function setTipoDocDevolucao($tipoDocDevolucao = null)
    {
        // validation for constraint: string
        if (!is_null($tipoDocDevolucao) && !is_string($tipoDocDevolucao)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($tipoDocDevolucao)), __LINE__);
        }
        if (is_null($tipoDocDevolucao) || (is_array($tipoDocDevolucao) && empty($tipoDocDevolucao))) {
            unset($this->TipoDocDevolucao);
        } else {
            $this->TipoDocDevolucao = $tipoDocDevolucao;
        }
        return $this;
    }
    /**
     * Get TipoDocQuebra value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getTipoDocQuebra()
    {
        return isset($this->TipoDocQuebra) ? $this->TipoDocQuebra : null;
    }
    /**
     * Set TipoDocQuebra value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $tipoDocQuebra
     * @return \StructType\DocumentosStkERP
     */
    public function setTipoDocQuebra($tipoDocQuebra = null)
    {
        // validation for constraint: string
        if (!is_null($tipoDocQuebra) && !is_string($tipoDocQuebra)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($tipoDocQuebra)), __LINE__);
        }
        if (is_null($tipoDocQuebra) || (is_array($tipoDocQuebra) && empty($tipoDocQuebra))) {
            unset($this->TipoDocQuebra);
        } else {
            $this->TipoDocQuebra = $tipoDocQuebra;
        }
        return $this;
    }
    /**
     * Get TipoDocVenda value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getTipoDocVenda()
    {
        return isset($this->TipoDocVenda) ? $this->TipoDocVenda : null;
    }
    /**
     * Set TipoDocVenda value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $tipoDocVenda
     * @return \StructType\DocumentosStkERP
     */
    public function setTipoDocVenda($tipoDocVenda = null)
    {
        // validation for constraint: string
        if (!is_null($tipoDocVenda) && !is_string($tipoDocVenda)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($tipoDocVenda)), __LINE__);
        }
        if (is_null($tipoDocVenda) || (is_array($tipoDocVenda) && empty($tipoDocVenda))) {
            unset($this->TipoDocVenda);
        } else {
            $this->TipoDocVenda = $tipoDocVenda;
        }
        return $this;
    }
    /**
     * Get TipoDocumento value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getTipoDocumento()
    {
        return isset($this->TipoDocumento) ? $this->TipoDocumento : null;
    }
    /**
     * Set TipoDocumento value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $tipoDocumento
     * @return \StructType\DocumentosStkERP
     */
    public function setTipoDocumento($tipoDocumento = null)
    {
        // validation for constraint: string
        if (!is_null($tipoDocumento) && !is_string($tipoDocumento)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($tipoDocumento)), __LINE__);
        }
        if (is_null($tipoDocumento) || (is_array($tipoDocumento) && empty($tipoDocumento))) {
            unset($this->TipoDocumento);
        } else {
            $this->TipoDocumento = $tipoDocumento;
        }
        return $this;
    }
    /**
     * Get TipoPrecoBensCirculacao value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getTipoPrecoBensCirculacao()
    {
        return isset($this->TipoPrecoBensCirculacao) ? $this->TipoPrecoBensCirculacao : null;
    }
    /**
     * Set TipoPrecoBensCirculacao value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $tipoPrecoBensCirculacao
     * @return \StructType\DocumentosStkERP
     */
    public function setTipoPrecoBensCirculacao($tipoPrecoBensCirculacao = null)
    {
        // validation for constraint: string
        if (!is_null($tipoPrecoBensCirculacao) && !is_string($tipoPrecoBensCirculacao)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($tipoPrecoBensCirculacao)), __LINE__);
        }
        if (is_null($tipoPrecoBensCirculacao) || (is_array($tipoPrecoBensCirculacao) && empty($tipoPrecoBensCirculacao))) {
            unset($this->TipoPrecoBensCirculacao);
        } else {
            $this->TipoPrecoBensCirculacao = $tipoPrecoBensCirculacao;
        }
        return $this;
    }
    /**
     * Get TransitaEstado value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return bool|null
     */
    public function getTransitaEstado()
    {
        return isset($this->TransitaEstado) ? $this->TransitaEstado : null;
    }
    /**
     * Set TransitaEstado value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param bool $transitaEstado
     * @return \StructType\DocumentosStkERP
     */
    public function setTransitaEstado($transitaEstado = null)
    {
        // validation for constraint: boolean
        if (!is_null($transitaEstado) && !is_bool($transitaEstado)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($transitaEstado)), __LINE__);
        }
        if (is_null($transitaEstado) || (is_array($transitaEstado) && empty($transitaEstado))) {
            unset($this->TransitaEstado);
        } else {
            $this->TransitaEstado = $transitaEstado;
        }
        return $this;
    }
    /**
     * Get UtilizadoGPR value
     * @return bool|null
     */
    public function getUtilizadoGPR()
    {
        return $this->UtilizadoGPR;
    }
    /**
     * Set UtilizadoGPR value
     * @param bool $utilizadoGPR
     * @return \StructType\DocumentosStkERP
     */
    public function setUtilizadoGPR($utilizadoGPR = null)
    {
        // validation for constraint: boolean
        if (!is_null($utilizadoGPR) && !is_bool($utilizadoGPR)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($utilizadoGPR)), __LINE__);
        }
        $this->UtilizadoGPR = $utilizadoGPR;
        return $this;
    }
    /**
     * Get VersaoUltAct value
     * @return string|null
     */
    public function getVersaoUltAct()
    {
        return $this->VersaoUltAct;
    }
    /**
     * Set VersaoUltAct value
     * @param string $versaoUltAct
     * @return \StructType\DocumentosStkERP
     */
    public function setVersaoUltAct($versaoUltAct = null)
    {
        // validation for constraint: string
        if (!is_null($versaoUltAct) && !is_string($versaoUltAct)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a string, "%s" given', gettype($versaoUltAct)), __LINE__);
        }
        $this->VersaoUltAct = $versaoUltAct;
        return $this;
    }
    /**
     * Get VisivelParaMovimentacao value
     * @return bool|null
     */
    public function getVisivelParaMovimentacao()
    {
        return $this->VisivelParaMovimentacao;
    }
    /**
     * Set VisivelParaMovimentacao value
     * @param bool $visivelParaMovimentacao
     * @return \StructType\DocumentosStkERP
     */
    public function setVisivelParaMovimentacao($visivelParaMovimentacao = null)
    {
        // validation for constraint: boolean
        if (!is_null($visivelParaMovimentacao) && !is_bool($visivelParaMovimentacao)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($visivelParaMovimentacao)), __LINE__);
        }
        $this->VisivelParaMovimentacao = $visivelParaMovimentacao;
        return $this;
    }
    /**
     * Get VisualizarLigacaoCBL value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return bool|null
     */
    public function getVisualizarLigacaoCBL()
    {
        return isset($this->VisualizarLigacaoCBL) ? $this->VisualizarLigacaoCBL : null;
    }
    /**
     * Set VisualizarLigacaoCBL value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param bool $visualizarLigacaoCBL
     * @return \StructType\DocumentosStkERP
     */
    public function setVisualizarLigacaoCBL($visualizarLigacaoCBL = null)
    {
        // validation for constraint: boolean
        if (!is_null($visualizarLigacaoCBL) && !is_bool($visualizarLigacaoCBL)) {
            throw new \InvalidArgumentException(sprintf('Invalid value, please provide a bool, "%s" given', gettype($visualizarLigacaoCBL)), __LINE__);
        }
        if (is_null($visualizarLigacaoCBL) || (is_array($visualizarLigacaoCBL) && empty($visualizarLigacaoCBL))) {
            unset($this->VisualizarLigacaoCBL);
        } else {
            $this->VisualizarLigacaoCBL = $visualizarLigacaoCBL;
        }
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\DocumentosStkERP
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
